TimeDuration (Groovy 5.0.6)

Package: groovy.time

## [Java] Class TimeDuration

- groovy.time.TimeDuration

-     public class TimeDuration
      extends Duration

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseDuration` | `days, hours, millis, minutes, months, seconds, years`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TimeDuration(int hours, int minutes, int seconds, int millis)`
    `TimeDuration(int days, int hours, int minutes, int seconds, int millis)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Date` | `getAgo()`
    `` | `public From` | `getFrom()`
    `` | `public Date` | `getNow()`
    `` | `public Duration` | `minus(Duration rhs)`
    `` | `public DatumDependentDuration` | `minus(DatumDependentDuration rhs)`
    `` | `public Duration` | `plus(Duration rhs)`
    `` | `public DatumDependentDuration` | `plus(DatumDependentDuration rhs)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Duration` | `getAgo, getFrom, getNow, minus, minus, minus, minus, plus, plus, plus, toMilliseconds`
    `class BaseDuration` | `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

- - ### Constructor Detail

    - #### public TimeDuration(int hours, int minutes, int seconds, int millis)

    - #### public TimeDuration(int days, int hours, int minutes, int seconds, int millis)

  - ### Method Detail

    - #### @Override
      public Date getAgo()

    - #### @Override
      public From getFrom()

    - #### @Override
      public Date getNow()

    - #### @Override
      public Duration minus(Duration rhs)

    - #### @Override
      public DatumDependentDuration minus(DatumDependentDuration rhs)

    - #### @Override
      public Duration plus(Duration rhs)

    - #### @Override
      public DatumDependentDuration plus(DatumDependentDuration rhs)